Package org.apache.tools.ant.taskdefs.optional.ccm

# Class CCMReconfigure

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.ccm.Continuus
org.apache.tools.ant.taskdefs.optional.ccm.CCMReconfigure

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CCMReconfigure
    extends Continuus

Task allows to reconfigure a project, recursively or not

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `FLAG_PROJECT` | /project flag -- target project
`static java.lang.String` | `FLAG_RECURSE` | /recurse --
`static java.lang.String` | `FLAG_VERBOSE` | /recurse --

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CREATE_TASK, COMMAND_DEFAULT_TASK, COMMAND_RECONFIGURE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CCMReconfigure()` | Constructor for CCMReconfigure.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `execute()` | Executes the task.
`java.lang.String` | `getCcmProject()` | Get the value of project.
`boolean` | `isRecurse()` | Get the value of recurse.
`boolean` | `isVerbose()` | Get the value of verbose.
`void` | `setCcmProject​(java.lang.String v)` | Sets the ccm project on which the operation is applied.
`void` | `setRecurse​(boolean v)` | If true, recurse on subproject (default false).
`void` | `setVerbose​(boolean v)` | If true, do a verbose reconfigure operation (default false).

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

`getCcmAction, getCcmCommand, run, run, setCcmAction, setCcmDir`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FLAG_RECURSE

public static final java.lang.String FLAG_RECURSE
/recurse --

See Also:
  Constant Field Values

### FLAG_VERBOSE

public static final java.lang.String FLAG_VERBOSE
/recurse --

See Also:
  Constant Field Values

### FLAG_PROJECT

public static final java.lang.String FLAG_PROJECT
/project flag -- target project

See Also:
  Constant Field Values

## Constructor Details

### CCMReconfigure

public CCMReconfigure()
Constructor for CCMReconfigure.

## Method Details

### execute

public void execute() throws BuildException
Executes the task.

Builds a command line to execute ccm and then calls Exec's run method to execute the command line.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - on error

### getCcmProject

public java.lang.String getCcmProject()
Get the value of project.

Returns:
  value of project.

### setCcmProject

public void setCcmProject​(java.lang.String v)
Sets the ccm project on which the operation is applied.

Parameters:
  `v` - Value to assign to project.

### isRecurse

public boolean isRecurse()
Get the value of recurse.

Returns:
  value of recurse.

### setRecurse

public void setRecurse​(boolean v)
If true, recurse on subproject (default false).

Parameters:
  `v` - Value to assign to recurse.

### isVerbose

public boolean isVerbose()
Get the value of verbose.

Returns:
  value of verbose.

### setVerbose

public void setVerbose​(boolean v)
If true, do a verbose reconfigure operation (default false).

Parameters:
  `v` - Value to assign to verbose.